Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.ExchangeFileRequestConfig

Enclosing interface:
  Configuration

    public static interface Configuration.ExchangeFileRequestConfig

Configuration used for FileAct Client.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `Configuration.ExchangeFileRequestConfig.AckFileRequestConfig` For AckFile request.
`static interface` | `Configuration.ExchangeFileRequestConfig.FetchFileRequestConfig` For SnF FetchFile request.
`static interface` | `Configuration.ExchangeFileRequestConfig.GetFileRequestConfig` For GetFile request.
`static interface` | `Configuration.ExchangeFileRequestConfig.PutFileRequestConfig` For PutFile request.

Method Summary
`java.lang.String` | `getBlockFileTransfer()` Gets the BlockFileTransfer.
`Configuration.ExchangeFileRequestConfig.GetFileRequestConfig` | `getGetFile()` Parameters:None.
`Configuration.ExchangeFileRequestConfig.PutFileRequestConfig` | `getPutFile()` Put method for the FileRequestConfig.
`Configuration.ExchangeFileRequestConfig.FetchFileRequestConfig` | `getSnFFetchFile()` Fetch method for the FileRequestConfig.
`Configuration.AcquireSnFRequestConfig` | `getSnFToAcquire()` Gets the SnF to aquire.
`java.lang.String` | `getSw_DeliveryNotif()` Gets the delivery notification.
`java.lang.String` | `getSw_EventEP()`
`java.lang.String` | `getSw_Partition()` Gets the partition name.
`java.lang.String` | `getSw_TransferKey()` Gets the Transfer Key used for the abort file operation.
`java.lang.String` | `getSwInt_NotifQueue()` Gets the delivery notification queue name.
`java.lang.String` | `getSwInt_NRIndicator()` Gets the NR indicator.
`java.lang.String` | `getSwInt_Priority()` Gets the priority.
`java.lang.String` | `getSwInt_RequestCrypto()` Gets SwInt_RequestCrypto.
`java.lang.String` | `getSwInt_Requestor()` Gets the requestor.
`java.lang.String` | `getSwInt_RequestRef()` Gets the request reference.
`java.lang.String` | `getSwInt_RequestType()` Gets the request type.
`java.lang.String` | `getSwInt_Responder()` Gets the responder.
`java.lang.String` | `getSwInt_Service()` Gets the service.
`java.lang.String` | `getSwSec_UserDN()` Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`java.lang.String` | `getUseRemoteFileHandler()` Gets the flag UseRemoteFileHandler.
`boolean` | `isBlockFileTransfer()` Returns the BlockFileTransfer status.
`boolean` | `isUseRemoteFileHandler()` Gets the flag UseRemoteFileHandler in boolean.
`void` | `setBlockFileTransfer(java.lang.String blockFileTransfer)` Sets the BlockFileTransfer status.
`void` | `setSw_DeliveryNotif(java.lang.String deliveryNotif)` Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.
`void` | `setSw_Partition(java.lang.String partition)` Sets the partition name.
`void` | `setSw_TransferKey(java.lang.String transferKey)` Sets the Transfer Key used for the abort file operation.
`void` | `setSwInt_NotifQueue(java.lang.String queue)` Sets the delivery notification queue name.
`void` | `setSwInt_NRIndicator(java.lang.String nrIndicator)` Sets whether SwInt_NRIndicator, non-repudiation support is being used.
`void` | `setSwInt_Priority(java.lang.String priority)` Sets the priority.
`void` | `setSwInt_RequestCrypto(java.lang.String requestCrypto)` Sets SwInt_RequestCrypto.
`void` | `setSwInt_Requestor(java.lang.String requestor)` Sets the SwInt_Requestor, used to identify the sending party.
`void` | `setSwInt_RequestRef(java.lang.String requestRef)` Sets the request reference
`void` | `setSwInt_RequestType(java.lang.String requestType)` Sets the request type.
`void` | `setSwInt_Responder(java.lang.String responder)` Sets the SwInt_Responder, used to identify the receiving party.
`void` | `setSwInt_Service(java.lang.String service)` Sets the service name containing the SWIFTNet service used.
`void` | `setSwSec_UserDN(java.lang.String userDN)` Sets the UserDN, (distinguished name)used to identify and authenticate the sending user.
`void` | `setUseRemoteFileHandler(java.lang.String useRFH)` Sets the flag UseRemoteFileHandler.
`void` | `validate()` Validates the ExchangeFileRequest section.

Method Detail

### getGetFile

    Configuration.ExchangeFileRequestConfig.GetFileRequestConfig getGetFile()
                                                                            throws SAGApplicationException

  Parameters:
    None.

  Returns:
    `GetFileRequestConfig` - Returns
  Throws:
    `SAGApplicationException` - upon error.

### getPutFile

    Configuration.ExchangeFileRequestConfig.PutFileRequestConfig getPutFile()
                                                                            throws SAGApplicationException

  Put method for the FileRequestConfig.

  Parameters:
    None.

  Returns:
    `PutFileRequestConfig` - Returns the PutFile request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSnFFetchFile

    Configuration.ExchangeFileRequestConfig.FetchFileRequestConfig getSnFFetchFile()
                                                                                   throws SAGApplicationException

  Fetch method for the FileRequestConfig.

  Parameters:
    None.

  Returns:
    `FetchFileRequestConfig` - Returns the fetch file request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSnFToAcquire

    Configuration.AcquireSnFRequestConfig getSnFToAcquire()
                                                          throws SAGApplicationException

  Gets the SnF to aquire.

  Parameters:
    None.

  Returns:
    `AcquireSnFRequestConfig` - Returns AcquireSnF request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSwSec_UserDN

    java.lang.String getSwSec_UserDN()

  Gets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    None.

  Returns:
    `String` - Returns user DN.
  Throws:
    None.

### getSwInt_Requestor

    java.lang.String getSwInt_Requestor()

  Gets the requestor.

  Parameters:
    None.

  Returns:
    `String` - Returns the requestor.
  Throws:
    None.

### getSwInt_Responder

    java.lang.String getSwInt_Responder()

  Gets the responder.

  Parameters:
    None.

  Returns:
    `String` - Returns the responder.
  Throws:
    None.

### getSwInt_Service

    java.lang.String getSwInt_Service()

  Gets the service.

  Parameters:
    None.

  Returns:
    `String` - Returns the service.
  Throws:
    None.

### getSwInt_RequestType

    java.lang.String getSwInt_RequestType()

  Gets the request type.

  Parameters:
    None.

  Returns:
    `String` - Returns the request type.
  Throws:
    None.

### getSwInt_RequestRef

    java.lang.String getSwInt_RequestRef()

  Gets the request reference.

  Parameters:
    None.

  Returns:
    `String` - Returns the request reference.
  Throws:
    None.

### getSwInt_Priority

    java.lang.String getSwInt_Priority()

  Gets the priority.

  Parameters:
    None.

  Returns:
    `String` - Returns the priority.
  Throws:
    None.

### getSwInt_RequestCrypto

    java.lang.String getSwInt_RequestCrypto()

  Gets SwInt_RequestCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    None.

  Returns:
    `String` - Returns request incryption.
  Throws:
    None.

### getSwInt_NRIndicator

    java.lang.String getSwInt_NRIndicator()

  Gets the NR indicator. Indicates whether non-repudiation support is being used.

  Parameters:
    None.

  Returns:
    `String` - Returns NR indicator.
  Throws:
    None.

### getSwInt_NotifQueue

    java.lang.String getSwInt_NotifQueue()

  Gets the delivery notification queue name.

  Parameters:
    None.

  Returns:
    `String` - Returns the delivery notification queue name.
  Throws:
    None.

### getSw_DeliveryNotif

    java.lang.String getSw_DeliveryNotif()

  Gets the delivery notification.

  Parameters:
    None.

  Returns:
    `String` - Returns the delivery notification.
  Throws:
    None.

### getSw_TransferKey

    java.lang.String getSw_TransferKey()

  Gets the Transfer Key used for the abort file operation.

  Parameters:
    None.

  Returns:
    `String` - Returns the Transfer Key used for the abort file operation.
  Throws:
    None.

### getUseRemoteFileHandler

    java.lang.String getUseRemoteFileHandler()

  Gets the flag UseRemoteFileHandler. Indicate whether the file transfer will use Remote File Handler.

  Returns:
    The flag UseRemoteFileHandler.

### isUseRemoteFileHandler

    boolean isUseRemoteFileHandler()

  Gets the flag UseRemoteFileHandler in boolean. Indicate whether the file transfer will use Remote File Handler.

  Returns:
    The flag UseRemoteFileHandler in boolean.

### getSw_Partition

    java.lang.String getSw_Partition()

  Gets the partition name. Only when the control structure is for an Sw:PutFileRequest or Sw:GetFileRequest. When present, this assigns a partition name to the file transfer. The partition name is used by the Sw:ListFileStatus primitive.

  Parameters:
    None.

  Returns:
    `String` - Returns the partition name.
  Throws:
    None.

### getSw_EventEP

    java.lang.String getSw_EventEP()

### getBlockFileTransfer

    java.lang.String getBlockFileTransfer()

  Gets the BlockFileTransfer. This indicates whether the function call will finish when a final file status is returned.

  Parameters:
    None.

  Returns:
    `String` - Returns block file transfer.
  Throws:
    None.

### isBlockFileTransfer

    boolean isBlockFileTransfer()

  Returns the BlockFileTransfer status.

  Parameters:
    None.

  Returns:
    `boolean` - Returns block file transfer status.
  Throws:
    None.

### setSwSec_UserDN

    void setSwSec_UserDN(java.lang.String userDN)
                         throws SAGApplicationException

  Sets the UserDN, (distinguished name)used to identify and authenticate the sending user.

  Parameters:
    `userDN` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Requestor

    void setSwInt_Requestor(java.lang.String requestor)
                            throws SAGApplicationException

  Sets the SwInt_Requestor, used to identify the sending party.

  Parameters:
    `requestor` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Responder

    void setSwInt_Responder(java.lang.String responder)
                            throws SAGApplicationException

  Sets the SwInt_Responder, used to identify the receiving party.

  Parameters:
    `responder` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Service

    void setSwInt_Service(java.lang.String service)
                          throws SAGApplicationException

  Sets the service name containing the SWIFTNet service used.

  Parameters:
    `service` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestType

    void setSwInt_RequestType(java.lang.String requestType)
                              throws SAGApplicationException

  Sets the request type.

  Parameters:
    `requestType` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestRef

    void setSwInt_RequestRef(java.lang.String requestRef)
                             throws SAGApplicationException

  Sets the request reference

  Parameters:
    `requestRef` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_Priority

    void setSwInt_Priority(java.lang.String priority)
                           throws SAGApplicationException

  Sets the priority.

  Parameters:
    `priority` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_RequestCrypto

    void setSwInt_RequestCrypto(java.lang.String requestCrypto)
                                throws SAGApplicationException

  Sets SwInt_RequestCrypto. Specifies whether a (digital signature) is required.

  Parameters:
    `requestCrypto` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NRIndicator

    void setSwInt_NRIndicator(java.lang.String nrIndicator)
                              throws SAGApplicationException

  Sets whether SwInt_NRIndicator, non-repudiation support is being used.

  Parameters:
    `nrIndicator` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_NotifQueue

    void setSwInt_NotifQueue(java.lang.String queue)
                             throws SAGApplicationException

  Sets the delivery notification queue name.

  Parameters:
    `queue` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_DeliveryNotif

    void setSw_DeliveryNotif(java.lang.String deliveryNotif)
                             throws SAGApplicationException

  Sets the SwInt_NotifQueue, Snf delivery mode, and the queue for Snf delivery.

  Parameters:
    `deliveryNotif` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_TransferKey

    void setSw_TransferKey(java.lang.String transferKey)
                           throws SAGApplicationException

  Sets the Transfer Key used for the abort file operation.

  Parameters:
    `transferKey` -
  Throws:
    `SAGApplicationException` - upon error.

### setUseRemoteFileHandler

    void setUseRemoteFileHandler(java.lang.String useRFH)
                                 throws SAGApplicationException

  Sets the flag UseRemoteFileHandler. Indicate whether the file transfer will use Remote File Handler

  Parameters:
    `useRFH` - TRUE or FALSE
  Throws:
    `SAGApplicationException` - upon error.

### setSw_Partition

    void setSw_Partition(java.lang.String partition)
                         throws SAGApplicationException

  Sets the partition name. Only when the control structure is for an Sw:PutFileRequest or Sw:GetFileRequest. When present, this assigns a partition name to the file transfer. The partition name is used by the Sw:ListFileStatus primitive.

  Parameters:
    `partition` -
  Throws:
    `SAGApplicationException` - upon error.

### setBlockFileTransfer

    void setBlockFileTransfer(java.lang.String blockFileTransfer)
                              throws SAGApplicationException

  Sets the BlockFileTransfer status.

  Parameters:
    `blockFileTransfer` -
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the ExchangeFileRequest section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.